class SteemSlap
  VERSION = '0.0.6'
  
  @verbs = %w(
    slaps hits pricks slays pummeles kills tortures embiggens shoves spams
    spanks fracks decorates feeds licks inverts smurfs stylizes attacks infects
    disappears krees flags mutes smooths kisses smacks signs encrypts proves
    pumps dumps moons fat-fingers leeeeeeeroy-jaaaankins triggers hardforks
    unvotes pulls cracks scams unverifies reverses picklizes peppers waters
    cronenbergs schwifties wubba-lubba-dub-dubs aggrandizes poisons retaliates
    snipes stuns dodges enrages heals reflects resurrects shields voids colludes
    sporks markets
  )
  @adjectives = [
    'a large', 'an enormous', 'a small', 'a medium sized', 'an extra large',
    'a questionable', 'a suspicious', 'a terrifying', 'a scary',
    'a breath taking', 'a horrifying', 'a glitchy', 'a pixelated',
    'a cromulent', 'a semi-weird', 'a laggy', 'an auspicious',
    'a fracking', 'a manly', 'an undercooked', 'an amazing', 'an upside-down',
    'a smurfy', 'a spiffy', 'an uncaring', 'a deadly', 'a magical', 'a mighty',
    'a steem backed', 'a golos backed', 'a rejected', 'a proof of',
    'a consensus of', 'an experimental', 'a mooning', 'an intermittent',
    'an entire', 'a non-canonical', 'a curly', 'a cryptographically verifiable',
    'a totally legit', 'a covfefe', 'an aggrandized', 'a blasted',
    'an inspired', 'a slow', 'a trampled', 'a weakened', 'a protected',
    'a collusive', 'musty', 'new steemy', 'sporky'
  ]
  @nouns = [
    'brick', 'cooked fish', 'debonair potion', 'picture of Ned Scott',
    '2017 Roadmap', 'FIRE', 'rubber chicken with a pulley in the middle',
    'book entitled Beard Care by dantheman', 'Zistonian Battle Sign',
    'insomnia cookie stolen from Steemit, Inc.', 'wig of stellabelle',
    'carrot on a stick', 'unpowered redstone block', 'cube named Cave Johnson',
    'popcorn container', 'frack', 'set of antlers',
    'horse of a different color', 'smurf', 'marklar', 'badass honey badger',
    'neurotoxin', 'can of beanz', 'jaffa', 'head of Karen McKersie',
    'cask of Golos Backed Vodka', 'wallstreet burger', 'blocktrade\'s wife',
    'malleable transaction', 'proof of work', 'proof of stake',
    'proof of bandwidth', 'proof of RAM', 'proof of cheese',
    'proof of residency', '100% original content by papa-pepper', 'consensus',
    'Dunning–Kruger effect', 'post-resignation post by dantheman', 'satoshi',
    'DASH Masternode', 'DASH Superblock', 'reward pool',
    'pull request closed by sneak', 'SteemSpeak OG', 'moon', 'market cap',
    'slick marketing department', 'weaponized kitchen', 'proof of capacity',
    'discussion that is above nate\'s paygrade', 'pigtail', 'nut',
    'proof of nuts', '71 year old', 'investment opportunity promoted by stan',
    'aggrandizement', 'angel of light', 'frost giant', 'rexxie', 'grumpy dwarf',
    'peaceful giant', 'pirate captain', 'collusion', 'avocado', 'musty cabin',
    'new steem', 'old steem', 'spork', 'tribe', 'splinter' 'proposal'
  ]

  def self.slap ( user )
    "#{@verbs.sample} #{user} with #{@adjectives.sample} #{@nouns.sample}"
  end
  
  def self.combinations
    @verbs.length * @adjectives.length * @nouns.length
  end
end

if ARGV.join.length > 0
  STDERR.puts SteemSlap::slap ARGV.join ' '
else
  STDERR.puts "has #{SteemSlap::combinations} slap combinations, see: https://gist.github.com/inertia186/c34e6e7b73f7ee9fb5f60f5ed8f30206"
end
